import React from 'react';
import { Text as TextX } from 'react-native';
import useLanguage from '../../services/LanguageService';
export const Text = props => {
  var _useLanguage, _useLanguage2;

  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const translateText = (_useLanguage = useLanguage()) === null || _useLanguage === void 0 ? void 0 : _useLanguage.translateText;
  const translate = (_useLanguage2 = useLanguage()) === null || _useLanguage2 === void 0 ? void 0 : _useLanguage2.translate;

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/React.createElement(TextX, PropsX, children);

    case 'id':
      return /*#__PURE__*/React.createElement(TextX, PropsX, translate ? translate(children) : children);

    case 'default':
      return /*#__PURE__*/React.createElement(TextX, PropsX, translateText ? translateText(children) : children);

    default:
      return /*#__PURE__*/React.createElement(TextX, PropsX, translateText ? translateText(children) : children);
  }
};
//# sourceMappingURL=Text.js.map