"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderedInputVariables = exports.materialInputVariables = exports.primaryInputVariables = exports.colors = exports.FontSizes = exports.ButtonColors = void 0;
const ButtonColors = {
  primary: '#D47FA6',
  secondary: 'rgba(95, 69, 145, 0.6)',
  warning: '#FFD645',
  danger: '#423050',
  success: 'rgba(153, 202, 102, 0.9)',
  buttonShadow: 'rgba(0,0,0,0.25)',
  errorColor: '#423050'
};
exports.ButtonColors = ButtonColors;
const FontSizes = {
  titleOne: 20,
  titleTwo: 15,
  titleThree: 14,
  tagFontSize: 12,
  lineHeight: 18,
  buttonFontSize: 15,
  buttonLineHeight: 18
};
exports.FontSizes = FontSizes;
const colors = {
  white: '#FFFFFF',
  black: '#000000',
  red: '#FD8282',
  gray: '#C4C4C4',
  lightGray: '#DADADA',
  green: '#2ED47A',
  darkGray: '#979797',
  blue: '#0076FF',
  darkRed: '#F50E0E',
  yellow: '#FFCF5C',
  darkYellow: '#F99231',
  orange: '#F99231',
  primary: '#D47FA6'
};
exports.colors = colors;
const primaryInputVariables = {
  borderColor: 'rgba(228, 228, 228, 0.6)',
  placeholderColor: '#D7C4C4',
  labelColor: 'white',
  FontSizes: 15
};
exports.primaryInputVariables = primaryInputVariables;
const materialInputVariables = {
  borderColor: 'rgba(228, 228, 228, 0.6)',
  placeholderColor: '#D7C4C4',
  labelColor: 'white',
  FontSizes: 13
};
exports.materialInputVariables = materialInputVariables;
const borderedInputVariables = {
  borderColor: 'rgba(228, 228, 228, 0.6)',
  placeholderColor: '#979797',
  labelColor: '#979797'
};
exports.borderedInputVariables = borderedInputVariables;
//# sourceMappingURL=ThemeConfig.js.map