"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Label = void 0;

var _react = _interopRequireDefault(require("react"));

var _LanguageService = _interopRequireDefault(require("../../services/LanguageService"));

var _nativeBase = require("native-base");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Label = props => {
  var _useLanguage, _useLanguage2;

  const {
    children,
    translationType
  } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const translateText = (_useLanguage = (0, _LanguageService.default)()) === null || _useLanguage === void 0 ? void 0 : _useLanguage.translateText;
  const translate = (_useLanguage2 = (0, _LanguageService.default)()) === null || _useLanguage2 === void 0 ? void 0 : _useLanguage2.translate;

  switch (translationType) {
    case 'none':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, children);

    case 'id':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translate ? translate(children) : children);

    case 'default':
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translateText ? translateText(children) : children);

    default:
      return /*#__PURE__*/_react.default.createElement(_nativeBase.Label, PropsX, translateText ? translateText(children) : children);
  }
};

exports.Label = Label;
//# sourceMappingURL=Label.js.map